<?php
/**
 * Created by PhpStorm.
 * User: Dylan
 * Date: 28/03/2019
 * Time: 11:39
 */

namespace Module\CustomForm\CustomForm\Model;


use Boutique;
use ByDedi\Module\CustomForm\Model\Constraint;

class ActiveConstraint extends Constraint
{
    public function getQuery($formvars = [])
    {
        $query = parent::getQuery($formvars);
        $boutique = Boutique::getInstance();
        $query
            ->innerJoin(
                'form_field_constraint_boutique',
                'AND',
                ['ffcb.form_field_constraint_id', 'ffc.form_field_constraint_id'],
                ['ffcb.boutique_id', $boutique->id],
                ['ffcb.form_field_constraint_boutique_statut_id', 1]
            )
        ;

        return $query;
    }
}